Updates exisiting applications with the patch details

Applies one or more JSON Patch operations to update an application. The request body is an array of patch operation objects.

PATH: "tags" — Application Tags
op=add : Adds a single tag.
[{"op":"add","path":"tags","value":"purpose=on_behalf"}]

op=replace : Replaces all existing tags with the provided array.
[{"op":"replace","path":"tags","value":["purpose=on_behalf","purpose=on_behalf_of"]}]

op=remove : Removes all tags. No value field required.
[{"op":"remove","path":"tags"}]

PATH: "/providers/oidc/properties"
op=add : Associates an agent with the OIDC application. Both entityType and entityId are required in the value object.
[{"op":"add","path":"/providers/oidc/properties","value":{"entityType":"agent","entityId":"

op=remove entityId : Removes both the entityId and entityType. No value field required.
[{"op":"remove","path":"/providers/oidc/properties/entityId"}]

op=remove entityType : Removes both the entityId and entityType. No value field required.
[{"op":"remove","path":"/providers/oidc/properties/entityType"}]

Entitlements required: manageAppAccessAdmin (Manage application lifecycle).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the application to be updated.

Body Params

Updated Application object.

Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses
204

Application patched successfully.

400

Bad Request.

401

User not Authorised.

404

Application not found.

Language
URL
LoadingLoading…